gri (2.12.27-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:41 +1100

gri (2.12.27-1.1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:55:20 +0100

gri (2.12.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use ps2pdf instead of convert for converting from ps to pdf.
    (Closes: #991057)

 -- Adrian Bunk <bunk@debian.org>  Thu, 25 Aug 2022 19:33:47 +0300

gri (2.12.27-1) unstable; urgency=medium

  * New upstream release.
  - New halfmoon symbols.
  - New version of gri-mode.el:
    - default-fill-column no longer exists in emacs-26
    - Bug fix: "package remove allow for flavour directory already gone",
      thanks to Kevin Ryde (Closes: #711914).
    - Bug fix: "C-u as universal-argument", thanks to Kevin Ryde for the
      report and the patch (Closes: #718452).
    - Bug fix: "paragraph separators for commands", thanks to Kevin Ryde
      for the report and the patch (Closes: #718540).
  - debian/patches deleted as incorporated upstream.

 -- Peter S Galbraith <psg@debian.org>  Thu, 25 Jun 2020 20:41:17 -0400

gri (2.12.26-6) unstable; urgency=medium

  * Apologies for having being MIA.
  * Bug fix: gri build-depends on cruft package, thanks to peter green for
    reporting and to Steve Langasek for the patch (Closes: #932949)
  * Bug fix: Encoding must now be specified in texinfo source, thanks to
    Steve Langasek for reporting and to Sebastiaan Couwenberg for the
    patch (Closes: #941557)
  * Bug fix: FTCBFS: Let dh_auto_configure pass --host to ./configure,
    thanks to Helmut Grohne <helmut@subdivi.de> for reporting and for the
    patch (Closes: #901179)
  * Deleted debian/compat and replace debhelper (>= 7) with debhelper-compat
    (= 12) in Build-Depends.
  * debian/rules: added dh_autoreconf and dh_autoreconf_clean implemented
    at Standards-Versions 4.0.0
  * debian/control: Standards-Version: 4.5.0
  * debian/copyright: updated to GPL-3. Can't believe I had to wait a
    month in the NEW queue to get rejected for this. :-(

 -- Peter S Galbraith <psg@debian.org>  Fri, 19 Jun 2020 15:13:49 -0400

gri (2.12.26-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "ftbfs with GCC-7", thanks to Matthias Klose
    (Closes: #853434).

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Aug 2017 11:20:56 -0400

gri (2.12.23-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.26 -- Unescaped left brace in regex is
    illegal": add patch perl-5.26.patch from Damyan Ivanov which adds the
    missing backslashes.
    (Closes: #865482)

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Jul 2017 21:50:06 +0200

gri (2.12.23-10) unstable; urgency=medium

  * Bug fix: "missing debian/copyright", thanks to Thorsten Alteholz
    (Closes: #795095).  The previous code copied debian/copyright.template
    to the binary package copyright file while substituting the correct
    version number.  Users will have to live without an exact version
    number.
  * Bug fix: "FTBFS: awk: cannot open gri.ky", thanks to Martin Michlmayr
    (Closes: #818449). Patch applied, thanks!
  * Standards-Version: 3.9.8
  * debian/compat: 9

 -- Peter S Galbraith <psg@debian.org>  Sat, 08 Oct 2016 16:37:57 -0400

gri (2.12.23-9) unstable; urgency=medium

  * Bug fix: "Fatal error occurred, no output PDF file produced", thanks
    to Martin Michlmayr (Closes: #790526).
  * Bug fix: "man page description of postscript output file", thanks to
    Kevin Ryde (Closes: #719033).

 -- Peter S Galbraith <psg@debian.org>  Sun, 26 Jul 2015 11:13:19 -0400

gri (2.12.23-8) unstable; urgency=medium

  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #754015).
  * Added debian/gri-el.emacsen-compat

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jul 2014 22:06:18 -0400

gri (2.12.23-7) unstable; urgency=medium

  * Bug fix: "FTBFS: Can't locate getopts.pl in @INC", thanks to
    Andreas Moog (Closes: #735914). Fixed doc/texinfo2HTML here and upstream.

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Jan 2014 21:15:30 -0500

gri (2.12.23-6) unstable; urgency=low

  * Merge in updated config.guess and config.sub for arm64 on Ubuntu.
  * doc/examples/Makefile.am bug fix: "example png files black on
    transparent", thanks to Kevin Ryde.  Added "-background white" to
    convert call (Closes: #719160).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 Oct 2013 10:34:27 -0400

gri (2.12.23-5) unstable; urgency=low

  * src/utility.cc: Merge in upstream fix for hurd PATH_MAX

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Oct 2013 10:06:03 -0400

gri (2.12.23-4) unstable; urgency=low

  * Bug fix: "FTBFS: Failed building docs", thanks to David SuÃ¡rez
    (Closes: #724193).
  * Bug fix: "extra .gri$ auto-mode-alist entry", thanks to Kevin Ryde
    (Closes: #680701).
  * Undo bug #659422 Depends on libperl4-corelibs-perl and update scripts
    gri_unpage and gri_merge instead.

 -- Peter S Galbraith <psg@debian.org>  Mon, 14 Oct 2013 17:35:26 -0400

gri (2.12.23-3) unstable; urgency=low

  * These are the same bug; fixed upstream in git.
  * Bug fix: "FTBFS: manuals build fails against textinfo5 because some
    incompatibles changes wrt 4.13 and below (some warnings have turned
    into errors)", thanks to David SuÃ¡rez (Closes: #712326).
  * Bug fix: "build from source fails on makeinfo 5.1", thanks to Kevin
    Ryde (Closes: #718821).

 -- Peter S Galbraith <psg@debian.org>  Tue, 06 Aug 2013 20:31:42 -0400

gri (2.12.23-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing Breaks+Replaces
    Closes: #694275

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2012 13:42:17 +0100

gri (2.12.23-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Depends on libperl4-corelibs-perl (Closes: #659422)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 23 Apr 2012 18:53:37 +0100

gri (2.12.23-2) unstable; urgency=low

  * Move refcard.ps to gri-pdf-doc package.

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Jul 2011 21:01:53 -0400

gri (2.12.23-1) unstable; urgency=low

  * New upstream release        
  Bug fixes:
  - Fix SourceForge bug
    https://sourceforge.net/projects/gri/forums/forum/16975/topic/4596628/index/page/1
    (pgm: images grayscale was wrong)

 -- Peter S Galbraith <psg@debian.org>  Tue, 12 Jul 2011 14:46:23 -0400

gri (2.12.22-1) unstable; urgency=low

  * New upstream release        
  Bug Fixes:
  - Fix github bug http://github.com/dankelley/gri/issues#issue/5
    (`draw image' failed on some black/white images).

 -- Peter S Galbraith <psg@debian.org>  Tue, 23 Nov 2010 19:11:02 -0500

gri (2.12.21-1) unstable; urgency=low

  * New upstream release        
  Bug Fixes:
  - Fix github bug http://github.com/dankelley/gri/issues#issue/1
    (`convert grid to image directly' misplaced image ``patches'' by one
     patch width and one patch height.)

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jun 2010 09:47:21 -0400

gri (2.12.20-1) unstable; urgency=low

  * gri-pdf-doc: New binary package replaces "gri-ps-doc" package.
  * Switch to Debian source package format 3.0 (quilt)
  * New upstream release        
  - add `starting' option to `set x axis' and `set y axis'.
  - add `directly' option to `convert grid to image'.
  - gri-mode.el font-locking was broken since Emacs-22
  Bug Fixes:
  - Fix SourceForge bug #2913919 (SVG: all symbols are ".")
  - Fix SourceForge bug #2913893 (svg segfault on draw label)
  - Fix SourceForge bug #2913841 (svg draw box filled not filled)
  - Fix SourceForge bug #2913840 (svg images are upside-down)
  - Fix SourceForge bug #2913838 (image postscript clip problem)
  * Various lintian fixes in debian/control
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 01 Apr 2010 10:14:27 -0400

gri (2.12.19-3) unstable; urgency=low

  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553777).

 -- Peter S Galbraith <psg@debian.org>  Mon, 02 Nov 2009 17:13:32 -0500

gri (2.12.19-2) unstable; urgency=low

  * Bug fix: "FTBFS: Nonexistent build-dependency: netcdfg-dev", thanks to
    Lucas Nussbaum (Closes: #549756).  Switched to libnetcdf-dev.  Also
    switch gs to ghostscript.

 -- Peter S Galbraith <psg@debian.org>  Mon, 05 Oct 2009 21:31:45 -0400

gri (2.12.19-1) unstable; urgency=low

  * New upstream release	
  Bug Fixes:
  - Fix SourceForge bug #2977816 (Fedora packaging requires more precise
    license declarations.
  - Fix SourceForge bug #3266884 (error in docs for strlen).

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:08:08 -0400

gri (2.12.18-1) unstable; urgency=low
	
  * New upstream release	
  Bug Fixes:
  - Improve security when creating temporary files.
  - Fix SourceForge bug #1985862 (output had axis linewidth equal to curve
    line width).

 -- Peter S Galbraith <psg@debian.org>  Mon, 08 Sep 2008 20:46:30 -0400
	
gri (2.12.17-1) unstable; urgency=low

  * New upstream release
  New Features
   Add GNU readline support so that interactive mode will have history,
   command editing, etc.
  Bug Fixes:
  - Fix SourceForge bug #1913577 (superscripts did not end correctly, if
    preceeded by an inline { block).
  - Fix SourceForge bug #1761562 (y axis name printed upside down, for log
    axes in which user specified a high values at the bottom end of the
    axis)
  * gri-mode.el: minor fix for emacs-22 and license update to GPL V2 or later.
  * control: Added libreadline5-dev to Build-Depends.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2008 20:48:14 -0400

gri (2.12.16-3) unstable; urgency=low

  * Bug fix: "gri-el: bashism ("&>") in emacsen install script", thanks to
    Aaron M. Ucko (Closes: #467639). Modernize gri-el byte-compilation.
  * Bug fix: "gri-el: Relies on gv, but does not recommend it", thanks to
    Javier Kohen (Closes: #470504).

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 Mar 2008 21:02:21 -0400

gri (2.12.16-2) unstable; urgency=low

  * gri-el: Prefer emacs22 instead of emacs21.
  * Bug fix: "gri: Uninstallable, can't be binNMU'ed.", thanks to
    Kurt Roeckx (Closes: #466434).  Rebuild for libnetcdf4.
  * Bug fix: "Confused by filenames with newlines", thanks to Trent
    W\. Buck (Closes: #446173).  Use "\\.gri\\'" instead of "\\.gri$" in
    auto-mode-alist.

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 20:24:45 -0500

gri (2.12.16-1) unstable; urgency=low

  * Bug fix: "gri: landscape produces interdependent pages", thanks to
    Bernhard R. Link for outlining the fix (Closes: #130802).
  * Bug fix: "gri: 'set page landscape' requires 'set page size' first,
    but it should really default to something reasonable instead
    (Closes: #434010).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 18:52:34 -0400

gri (2.12.15-5) unstable; urgency=low

  * Bug fix: "gri: FTBFS if built twice in a row", thanks to Bernd Zeimetz
    (Closes: #424371).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 May 2007 20:35:23 -0400

gri (2.12.15-4) unstable; urgency=low

  * Added texlive-latex-base to build dependencies for missing lcircle10
    font.

 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Apr 2007 20:03:20 -0400

gri (2.12.15-3) unstable; urgency=low

  * Build-depend (as well as Build-Depends-Indep) on
    texlive-generic-recommended instead of tetex-bin.  Thanks to Kurt
    Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Apr 2007 22:06:17 -0400

gri (2.12.15-2) unstable; urgency=low

  * Build-depend on texlive-generic-recommended instead of tetex-bin.
    Thanks to Kurt Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Apr 2007 21:13:05 -0400

gri (2.12.15-1) unstable; urgency=low

  * New upstream release
  Bug Fixes:
  - Fix SourceForge bug #1700978 (html concept index mostly broken)
  - Fix SourceForge bug #1698924 (box plots show missing data)
  - Fix Debian bug #417217 (will not compile in GCC 4.3) (Closes: #417217)
  - Fix SourceForge bug #1698116 (poorly-positioned name of RHS y-axis)

 -- Peter S Galbraith <psg@debian.org>  Sat, 14 Apr 2007 22:04:29 -0400

gri (2.12.14-1) unstable; urgency=low

   * New upstream release
     Bug Fixes:
     - Fix SourceForge bug #1630768 (Fix to segfault in clipped images (a
       bug that may have developed after version 2.13.3))

 -- Peter S Galbraith <psg@debian.org>  Fri, 19 Jan 2007 23:11:54 -0500

gri (2.12.13-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix SourceForge bug #1591475 (Fix to compile in Solaris CC)
    - Fix SourceForge bug #1591062 (Fix to compile in OpenBSD)
  * debian/control: Standards-Version 3.7.2

 -- Peter S Galbraith <psg@debian.org>  Tue,  7 Nov 2006 18:45:30 -0500

gri (2.12.12-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix SourceForge bug #1523033 (Malloc error)
    - Fix SourceForge bug #1523032 (`create columns from function' bug,
      if there is an existing directory called `tmp')
      Thanks to Steve Cayford (Closes: #378277).
    - Fix SourceForge bug #1491105 (`set x axis labels' had no affect
      for log axes (same for y)

 -- Peter S Galbraith <psg@debian.org>  Wed, 19 Jul 2006 02:19:36 -0400

gri (2.12.11-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Debian Bug fix: "Please update config.* (again)", thanks to Martin
      Michlmayr (Closes: #357181).
    - Fix SourceForge bug #1449546 (x axis limits not correctly inferred
      from `set x grid'; same for y).

 -- Peter S Galbraith <psg@debian.org>  Fri, 24 Mar 2006 21:46:59 -0500

gri (2.12.10-6) unstable; urgency=high

  * Bug fix: "gri: Please rebuild with current netcdf.", thanks to Daniel
    Kobras (Closes: #352219).
  * Set permissions to user writable on debian/changelog for binary-only
    rebuilds.
  * Switch to debhelper 4.

 -- Peter S Galbraith <psg@debian.org>  Fri, 10 Feb 2006 11:02:42 -0500

gri (2.12.10-5) unstable; urgency=low

  * Fix compilation bugs on ia64 and alpha, fourth attempt tested on a
    Debian ia64 machine.  Thanks to Dan Kelley for the patch.
    (Really closes: #350467, I hope).

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 19:13:46 -0500

gri (2.12.10-4) unstable; urgency=low

  * Fix compilation bugs on ia64 and alpha, third try is the charm.
    Thanks to Dan Kelley for the patch.
    (Bug also reported by Kurt Roeckx, really closes: #350467).

 -- Peter S Galbraith <psg@debian.org>  Tue, 31 Jan 2006 23:24:18 -0500

gri (2.12.10-3) unstable; urgency=low

  * Fix compilation bugs on ia64 and alpha, second try.
    Thanks to Dan Kelley for the patch!
    (Bug also reported by Kurt Roeckx, Closes: #350467).

 -- Peter S Galbraith <psg@debian.org>  Mon, 30 Jan 2006 20:48:31 -0500

gri (2.12.10-2) unstable; urgency=low

  * Fix compilation bugs on ia64 and alpha.  Thanks to Dan Kelley for the
    patch!

 -- Peter S Galbraith <psg@debian.org>  Fri, 27 Jan 2006 22:15:08 -0500

gri (2.12.10-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix Debian Bug #348351 (PostScript file contained private
       information.  This was fixed by adding new commandline arguments
       `-private' and `-no_private', the former of which (the new default)
       means to not include the user's name, the invocation arguments, or the
       command-file contents. Thanks to Falk Hueffner for reporting it
       (Closes: #348351).
    - Fix SourceForge bug #1285180 (NaN was mishandled.  The bug may have
       arisen in version 2.12.7 or thereabouts.)
    - Fix SourceForge bug #1217273 (missing some version numbers within docs)
    - Fix SourceForge bug #1196613 (user-supplied x-axis labels can run
       offscale)
    - Fix SourceForge bug #1198341 (x-axis labels incorrectly rotated)
    - Fix SourceForge bug #1199280 (warning about `malloc' for RPN assignments)
    - Fix SourceForge bug #1101172 (`gri -help' incorrectly stated meaning
      of last argument(s)) (Closes: #290101)
    - Fix SourceForge bug #835711 (`draw gri logo' fails)
    - Fix SourceForge bug #1098269 (problem compiling on AMD64 machine.
      Solution provided by Andreas Jochens, a Debian user.  This moves a fix
      into the upstream source, rather than patching in diff.gz)
    - Fix SourceForge bug #867515 (problem with junk appearing in images.)
    - Fix SourceForge bug #875881 (problem compiling with gcc 2.95.3 compiler)
  * debian/control: Standards-Version 3.6.2 without changes.

 -- Peter S Galbraith <psg@debian.org>  Sun, 22 Jan 2006 10:04:07 -0500

gri (2.12.9-3) unstable; urgency=low

  * Bug fix: "gri(GNU/k*BSD): FTBFS: out of date config.sub/config.guess",
    thanks to Petr Salinger (Closes: #342414).

 -- Peter S Galbraith <psg@debian.org>  Sat, 14 Jan 2006 16:19:19 -0500

gri (2.12.9-2) unstable; urgency=low

  * Bug fix: "gri-el: incompatible with new version of gv", thanks to
    Scott Webster for reporting this (Closes: #296692).

 -- Peter S Galbraith <psg@debian.org>  Tue,  1 Mar 2005 22:38:36 -0500

gri (2.12.9-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix SourceForge bug #1094087 (`set path to' incorrectly parsed
      colon-separated paths)
    - Fix SourceForge bug #1085788 (`image *=', `image /=', `image ^=', and
      `image _=' all gave incorrect results)
    - Fix SourceForge bug #1084123 (does not compile in fink)
    - Fix SourceForge bug #676767 (on fink systems, `help' does not work)

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Jan 2005 20:08:02 -0500

gri (2.12.8-3) unstable; urgency=low

  * Bug fix: "gri: FTBFS (amd64/gcc-4.0): cast from 'FILE*' to 'int' loses
    precision", thanks to Andreas Jochens (Closes: #286921).
  * Remove another DEBUG printout.

 -- Peter S Galbraith <psg@debian.org>  Wed, 22 Dec 2004 19:11:47 -0500

gri (2.12.8-2) unstable; urgency=low

  * Remove DEBUG printouts.
  * gri-el: Adapt to new texinfo's "Index of Commands" which includes a
    line offset number.  This fixes Info lookup for gri commands.

 -- Peter S Galbraith <psg@debian.org>  Thu, 16 Dec 2004 20:58:18 -0500

gri (2.12.8-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix SourceForge bug #1019141 (draw arc' ignores the present pen color)
    - Fix SourceForge bug #997741 (PostScript broken on images with y-axis
      decreasing, and enclosed by PostScript clipping)
    - Fix SourceForge bug #978822 (documentation wrong on `set path to')
    - Fix SourceForge bug #932203 (misplaced labels caused by
      `set x axis labels')
    - Fix SourceForge bug #928277 (`draw polygon' should take `cm' and `pt'
      units)
    - Fix SourceForge bug #930259 (fix `draw arc's drawing of an extra line;
      thanks for the fix, Wolfgang Voegeli)
    - Fix SourceForge bug #923719 (`draw curve overlying' ignored the effect
      of `set dash')
    - Fix SourceForge bug #914125 (offpage points in axes were reported as
      having been drawn by `draw curve')
    - Fix SourceForge bug #877613 (`help' and other commands using temporary
      files do not work in OSX/Fink version.)
    - Fix SourceForge bug #874483 (`state save' doesn't keep track of `dash'
      settings.)
    - Fix SourceForge bug #873245 (inaccurate times are given in the warnings
      about slow operations on OSX platform)
    - Fix SourceForge bug #871477 (the `missing value' feature should not be
      the default.  The solution involved adding a new command
      `set missing value none', which is now the default.
  * debian/gri-el.emacsen-install: Log byte compilation in temporary file
    in /tmp instead of
    e.g. /usr/share/emacs21/site-lisp/gri-mode.CompilationLog.gz

 -- Peter S Galbraith <psg@debian.org>  Thu, 25 Nov 2004 11:22:34 -0500

gri (2.12.7-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix Debian bug #208589 (did not build on some Debian platforms
      because it was based on an old version of `automake' (Closes: #208589).

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Sep 2003 20:12:25 -0400

gri (2.12.6-1) unstable; urgency=low

  * New upstream version
    New Features:
    - Add `age' RPN function, for testing file ages.
    Bug Fixes:
    - Fix SourceForge bug 773850 (bounding-box is increased by `draw symbol'
      even if (rectangular) postscript clipping is active.)
    - Fix SourceForge bug 760130 (Solaris cannot compile with `C-l' in
      Makefile.
    - Fix SourceForge bug 743134 (bounding box not limited by 'set clip
      postscript')
    - Fix SourceForge bug 750561 (during compilation, `make' rebuilds HTML
      docs even if up-to-date)
  * debian/control: Standards-Version 3.6.1 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon,  1 Sep 2003 19:51:32 -0400
  
gri (2.12.5-1) unstable; urgency=low

  * New upstream version
    New Features:
    - Add hexadecimal colornames (Pen Color)
    Bug Fixes:
    - Fix SourceForge bug #739761 (`draw time stamp' named the
      command-file incorrectly).
    - Fix SourceForge bug #720607 (the emacs mode looked for html
      documentation files in an incorrect location on linux/redhat systems)
  * gri-html-doc.emacsen-startup, gri-el.emacsen-startup: Make sure
    packages are installed before doing elisp setup.

 -- Peter S Galbraith <psg@debian.org>  Tue, 20 May 2003 10:28:24 -0400

gri (2.12.4-2) unstable; urgency=low

  * Really work around compilation bug on m68k architecture by compiling
    rpncalc without optimization on m68k(closes: #183912)

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Apr 2003 20:55:14 -0400

gri (2.12.4-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
  - Fix Sourceforge bug #696073 (incorrect handling of \$() syntax)
  - Fix Sourceforge bug #715884 (mixup on quoted strings)
  - Fix Sourceforge bug #706202 (page orientation Postscript hint missing)
  - Fix Sourceforge bug #711354 (program name missing in Postscript hint)
  - Fix compilation bug on m68k architecture (closes: #183912)

 -- Peter S Galbraith <psg@debian.org>  Sun,  6 Apr 2003 9:40:10 -0500

gri (2.12.3-1) unstable; urgency=low

  * New upstream release
    Bug Fixes:
    - Fix SourceForge bug #685919 (Cannot understand .eps file extension on
       startup.)

 -- Peter S Galbraith <psg@debian.org>  Sun,  2 Mar 2003 13:56:18 -0500

gri (2.12.2-1) unstable; urgency=low

  * New upstream version
    Bug Fixes:
    - Fix SourceForge bug #675304 (Segmentation fault can occur on `read image
       pgm' if an image already exists, e.g. created by `convert grid to 
       image'.)
    - Fix SourceForge bug #647234 (Source file draw.cc will not compile on
       MAC OS X 10.1.5 at optimization level 2, so drop the level to no
       optimization, as a temporary measure.)
    - Fix SourceForge bug #671022 (`flip image x|y' did not flip images
       correctly, except in special circumstances.)
    - Fix SourceForge bug #669603 (`skip backward .n.' erroneously skipped
       forward)
    - Fix SourceForge bug #667754 (`read image pgm' segfaults on memory if an
       image has already been created by `convert grid to image')
    - Fix SourceForge bug #664388 (`read image pgm' fails if an image already
       exists)
    - Fix SourceForge bug #654129 (ignoring ~/.grirc file)
    - Fix SourceForge bug #654127 (configure scripts are broken)
    - Fix SourceForge bug #649132 (removed unused LDFLAGS phrase from Makefile)
    - Fix SourceForge bug #649134 (tweak gcc optimization)
    - Fix SourceForge bug #649136 (examples 8 and 9 broken)
    - Fix SourceForge bug #641406 (RPN too aggressive on missing values)

 -- Peter S Galbraith <psg@debian.org>  Mon, 27 Jan 2003 15:01:03 -0500

gri (2.12.1-2) unstable; urgency=low

  * Create new gri-el package for Emacs major-mode instead of bundling it
    with the main gri package.
  * debian/control: Standards-Version 3.5.7, but I haven't done the
    optimization depending on DEB_BUILD_OPTIONS yet.

 -- Peter S Galbraith <psg@debian.org>  Fri, 18 Oct 2002 13:36:48 -0400

gri (2.12.1-1) unstable; urgency=low

  * New upstream version
    New Features:
    - n/a
    Bug Fixes:
    - Fix SourceForge bug #613075 (sin, cos, tan problem in RPN).

 -- Peter S Galbraith <psg@debian.org>  Wed, 25 Sep 2002 11:04:30 -0400

gri (2.12.0-2) unstable; urgency=low

  * gri-html-doc.preinst: recent versions of md5sum add a hyphen in the
    output, which leads to an error in my preinst test for an old config
    file.  Patch from russell@coker.com.au (closes: #161154).

 -- Peter S Galbraith <psg@debian.org>  Tue, 17 Sep 2002 09:32:52 -0400

gri (2.12.0-1) unstable; urgency=low

  * New upstream version
    New Features:
    - Add 'sed' RPN operator, to work on strings.
    - Add 'skewness and 'kurtosis' RPN operators, to work on columns.
    Bug Fixes:
    - Fix SourceForge bug #606303 (web pages were not valid html)
    - Fix SourceForge bug #593958 (missing-values should be ignored
      if they occur as intermediate results in RPN calculations)
    - Fix SourceForge bug #600395 (won't compile with recently released
      version (3.2) of GCC compiler.)
    - Fix SourceForge bug #600233 (segfaults if some RPN operators are
      used on stacks that do not contain enough entries).
  
 -- Peter S Galbraith <psg@debian.org>  Fri,  6 Sep 2002 20:08:21 -0400

gri (2.10.1-1) unstable; urgency=low

  * New upstream version
    Bug Fixes:
    - Fix Sourceforge bug #562911 (won't build with gcc-3.0; closes: #148572)
    - Fix SourceForge bug #558463 (in HTML docs, the ``press'' margin tag
      was misdirected; this was patched into the 2.10.0-1 Debian package)
    - Fix SourceForge bug #562014 (won't build if 'popt' library is
      unavailable; closes: #148493).
    - Fix SourceForge bug #562017 (parser fails with DOS end-of-line)
    - Fix SourceForge bug #562113 ('new page' postscript error in 'gv' viewer)

 -- Peter S Galbraith <psg@debian.org>  Sat,  1 Jun 2002 10:32:38 -0400

gri (2.10.0-1) unstable; urgency=low

  * New upstream version
    New Features:
    - In the documentation, change the names of some variables to be
      clearer: `ll_x' is now written `xleft', etc.
    - Add RPN binary operators 'and', 'or' for logical operations, along
      with negation operator 'not'
    - Add 'draw arc' command.
    - Add 'set x axis labels' and 'set y axis labels' commands.
    - Permit specification of 'pt' units for 'draw label', 'draw box', 
      'draw symbol at' and 'draw line from'.
    - Add 'set clip to curve' command.
    - Add 'group' and 'end group' commands, in preparation for SVG
      output.  So far these commands do nothing, and are basically just a
      signal that users should not create commands with these names since Gri
      will need them soon.
    - Add ..xinc.. and ..yinc.. builtin variables.
    - Make the 'open' command accept URLs as filenames.
    Removed Features:
    - Remove 'gri -repair old.ps new.ps'
    - Make the '-chatty' commandline option require a value.
    Bug Fixes:
    - Fix SourceForge bug #552009 ('rpn' can segfault if '!=' operator is 
      written as '=!')
    - Fix SourceForge bug #546109 (bounding box wrong if postscript
      clipping used)
    - Fix SourceForge bug #514495 in which 'set clip to curve' failed to
      handle missing values in the curve.
    - Fix SourceForge bug #450465 ('create columns from function' was broken).

 -- Peter S Galbraith <psg@debian.org>  Thu, 16 May 2002 11:24:12 -0400

gri (2.8.6-2) unstable; urgency=high

  * debian/control: added imagemagick, info, gs, gsfonts to Build-Depends.
    They were in Build-Depends-Indep, but apparently the arch-independent
    stuff is needlessly built by the autobuilders anyway (closes: #140982).

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Apr 2002 09:50:14 -0500

gri (2.8.6-1) unstable; urgency=low

  * New upstream version
   - Fix SourceForge bug #513002 (minor error in docs for set clip)
   - Fix SourceForge bug #506592 (HTML docs had misordered indices)
   - Fix SourceForge bug #506534 (map axes give wrong minutes in negative
     regions)
   - Fix SourceForge bug #508088 (gri-mode.el: gv should update, not be 
     relaunched)  
   - Fix SourceForge bug #506490 (-v commandline option returned wrong
     version number).  Note that this was already fixed in Debian release
     2.8.5-2.
  * Various debian directory tweaks merged-in from CVS:
  * Updated to Standards-Version 3.5.6 (debian/rules uses build-arch and
    build-indep targets).  
  * debian/rules: Use DH_COMPAT=3 (so that Emacs startup file under
    /etc/emacs get tagged as conffiles automatically)
    (closes: #132834, #132840); 
    substitute /debian/tmp by /debian/gri/;
  * debian/gri.emacsen-install: Edit $(flags) such that XEmacs
    byte-compilation doesn't load Debian startup files under /etc/emacs.
  * debian/gri-html-doc.preinst: delete /usr/share/doc/gri-html-doc/html/.dhelp
    and move potato version of /etc/emacs startup file to .dpkg-old
  * debian/control: Depends on emacsen-common because of gri-mode install.
  * debian/gri-html-doc.emacsen-startup: /usr/doc -> /usr/share/doc

 -- Peter S Galbraith <psg@debian.org>  Thu,  7 Feb 2002 16:00:55 -0500

gri (2.8.5-2) unstable; urgency=medium

  * Gri had a internal version number mismatch, thinking it was version
    2.8.4 instead.  This confused gri-mode.el, which looked for 2.8.4 and
    couldn't find it (closes: #130246).

 -- Peter S Galbraith <psg@debian.org>  Mon, 21 Jan 2002 10:12:41 -0500

gri (2.8.5-1) unstable; urgency=low

  * New upstream bug-fix release:
   - Fix SourceForge bug #492472 (`inf' rpn operator caused segfault)

 -- Peter S Galbraith <psg@debian.org>  Thu, 13 Dec 2001 10:34:47 -0500

gri (2.8.4-1) unstable; urgency=low

  * New upstream bug-fix release:
   - Fix SourceForge bug #467973 (`gri -version' gave wrong version
     number, breaking the Emacs Gri mode.)
   - Fix SourceForge bug #468014 (`draw grid' disobeyed pencolor)

 -- Peter S Galbraith <psg@debian.org>  Thu,  4 Oct 2001 14:11:47 -0400

gri (2.8.3-1) unstable; urgency=low

  * New upstream bug-fix release:
   - Fix SourceForge bug #462243 (endian problem in Rasterfile images, 
     plus a reading problem in PGM images).

 -- Peter S Galbraith <psg@debian.org>  Mon,  1 Oct 2001 08:53:50 -0400

gri (2.8.2-1) unstable; urgency=low

  * New upstream bug-fix release:
   - Really Fix SourceForge bug #454557 when netcdfg-dev present  
    (wouldn't compile with the pre-release version 3.0.1 of the GNU c++
    compiler; closes: #111093)

 -- Peter S Galbraith <psg@debian.org>  Mon, 10 Sep 2001 13:10:37 -0400

gri (2.8.1-1) unstable; urgency=low

  * New upstream bug-fix release:
   - Fix SourceForge bug #450465 (`create columns from function' was broken).
   - Fix SourceForge bug #454557 (wouldn't compile with the pre-release 
     version 3.0.1 of the GNU c++ compiler; closes: #111093)
  
 -- Peter S Galbraith <psg@debian.org>  Thu,  6 Sep 2001 22:26:10 -0400

gri (2.8.0-1) unstable; urgency=low

  * New upstream version.
     New command syntax:
     - Add `unlink' command as a unix-familiar way to delete files.
     - Add `set page size' command to clip to a given page size.
     - Add `substr' RPN operator to permit extraction of sub-strings.
     - Add `default' for the `set x name' and the `set y name' commands.
     - Add Perl-like ability to put underscores in numerical constants
        (`.v. = 1_000' and `.v. = 1000' are completely equivalent).
     Emacs mode:
     - <M-Tab> completes builtin variables and synonyms as well as commands.
     - "idle-timer help" displays defaults for builtin variables under cursor.
     - fontification of builtin variables _only_ if spelled correctly.
     Developer changes:
     - Add `make source-arch-indep' target in sources.  This will build a
       source tar file in which all the architecture-independent material
       (documentation in HTML, postscript and Info formats) is pre-made.
       This makes it easier to install gri on a host that doesn't have
       TeX and ImageMagick installed.
  * Move gri-html-doc and gri-ps-doc documentation files to /usr/share/doc/gri
  * Complies with Standards-Version: 3.5.5 without changes.
  
 -- Peter S Galbraith <psg@debian.org>  Mon, 23 Jul 2001 20:54:15 -0400

gri (2.6.4-1) unstable; urgency=low

  * New upstream bug-fix release:
    - Fix SourceForge bug #435603 (`set dash' produced broken PostScript)
    - Fix SourceForge bug #435688 (`polar' column type not supported)	
  * Close bug I submitted to keep 2.6.3 from entering testing because of
    #435603 above (closes: #103366).

 -- Peter S Galbraith <psg@debian.org>  Tue,  3 Jul 2001 15:05:42 -0400

gri (2.6.3-1) unstable; urgency=low

  * New upstream bug-fix release:
    - Use gri-mode.el from the 2.7.x stream.
    - Fix SourceForge bug #433250 (`draw symbol' ignored dashing state
      sometimes)
    - Fix SourceForge bug #432549 (contours sometimes unlabelled)
    - Tweak internal coding for compilation on AIX compilers.
	
 -- Peter S Galbraith <psg@debian.org>  Fri, 22 Jun 2001 09:15:27 -0400

gri (2.6.2-1) unstable; urgency=low

  * New upstream version (bug fixes only).
    - Fix SourceForge bug #425174 
      (synonym interpolation broken on e.g. show "[\syn]", i.e. if ended 
      with a closing square-brace) 
    - Fix SourceForge bug #425175
      (`while !..eof..' acted ignored end of file)

 -- Peter S Galbraith <psg@debian.org>  Sat, 19 May 2001 21:46:10 -0400

gri (2.6.1-1) unstable; urgency=low

  * New upstream version (bug fixes only).
    - Fix SourceForge bug #420499 (gri-mode.el compatibility issues with
      emacs-21; Mostly bad old code.)
    - Fix SourceForge bug #421076 (byte-compiled gri-mode.el has
      broken IMenu support; Affects Debian package.)
    - Fix SourceForge bug #419599 (wouldn't compile under GNU g++ 3.x compiler)
    - Fix SourceForge bug #418065 (documentation mentions back-tic
      notation, which is not available)
    - Fix SourceForge bug #417333 (vague error message `RPN string operator')
    - Fix SourceForge bug #415277 (make fails on MSDOS)
    - Fix SourceForge bug #415149 (`file.cc' parse error on MSDOS)
    - Fix SourceForge bug #414520 (`draw symbol ... at' should
      automatically produces axes unless the location is in `cm' coordinates)
    - Fix SourceForge bug #414010 (items in the html concept index were
      in an odd order)
    - Fix SourceForge bug #413986 (`~username' was broken in `open')
    - Fix SourceForge bug #411904 (`/' was ugly in math mode)

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 May 2001 10:48:25 -0400

gri (2.6.0-1) unstable; urgency=low

  * New upstream version.
    - Permit `rewind' to take a filename. 
    - Make `open' set `\.return_value.' to the full pathname of the file
      that was opened. 
    - Add `set path' command.
    - Remove functioning of `GRIINPUTS' environment variable, since this
      is more cleanly handled with the newly added `set path to' command.
    - Remove `\.awk.' synonym, which was deemed to be unhelpful.
    - Change the format of images in the PostScript output file, as a
      workaround for a bug in the `ps2pdf' program.
    - Add ``ampersand'' (`\&' and `\&&') syntax to permit newcommands to
      look up the name and nesting level of changeable arguments.
    - Add ``at-sign'' (`@') syntax for aliases.
    - Add ability to embed newlines in `show' commands with the `\<<' sequence.
    - Add ability to embed TAB characters in `show' commands with the
      `\>>'sequence.
    - Make various `read' commands able to decode synonyms as well as
      variables and simple numbers. 
    - Add `strlen' RPN operator.
    - Add `default' option to `set x format' and `set y format' commands. 
    - Add `new postscript file' command. 
    - No longer remove comments from data lines that are read.
    - Let newcommands have changeable arguments.
    - Remove `-s' as an abbreviation for the commandline option `-superuser'. 
    - Add commandline option `-output PS_file_name'. 
    - Add `assert' command.
    - Add `sleep' command.
    - Permit indexing of synonym words with variables, in addition to 
      constants. 
    - Add `set colorname' command. 
    - Add `source' command. 
    - Add RPN operators `wordc' and `wordv' for accessing the words in
      the present Gri command. 
    - Add RPN operators `argc' and `argv' for accessing the command-line
      arguments. 
    - Add automatic support for gzipped compressed data files.
    - Add two new RPN operators, `file_exists' and `directory_exists'.
    - Reorganize parts of manual (e.g. changing the section about the 
      Emacs `gri-mode.el' into a chapter, with screenshots). 
    - Improve the HTML form of the manual (e.g. color-code the Gri syntax
      in examples, provide access to all the indices, use PNG format, etc.). 
    - Numerous gri-mode.el enhancements (including new pull-down menu
      listing all Gri commands).
  * Use debhelper.
  * Info files have .info suffix now.
  * gri-html-doc suggests doc-base (otherwise it's not registered).  
  * gri.emacsen-remove: delete ${destination}/gri-mode.CompilationLog.gz
  * gri.postinst: delete obsolete gri-mode.CompilationLog.gz files from
    prior versions.
  * Updated to Standards-Version 3.5.2 with DEB_BUILD_OPTIONS variable
    (Default build no longer complies with debugging symbols, -g)

 -- Peter S Galbraith <psg@debian.org>  Fri, 30 Mar 2001 14:27:29 -0500

gri (2.4.2-1) frozen unstable; urgency=low

  * New upstream version. ** Bug Fixes Only; No new features **
    - Remove bug in which `convert grid to image' produced incorrect
      images, visible as a patchy appearance with coarse grids.
    - Remove bug in which `convert image to grid' failed to take note of
      the gri minimum and maximum, so that contouring of the grid was not
      possible for grids created from images.

 -- Peter S Galbraith <psg@debian.org>  Mon, 27 Mar 2000 10:46:36 -0500

gri (2.4.0-1) unstable; urgency=low

  * New upstream version.  Introduces "set input data separator" to use TABs
    as column separators.  We can now mix numerical columns with character
    strings in read commands.
  * Make gri-html-doc package redefine gri*WWW-page Emacs variable.
  * Quiet the byte-compiler in /usr/lib/emacsen-common/packages/install/gri
  * Updated to Standards-Version 3.1.1 with Build-Depends.
  
 -- Peter S Galbraith <psg@debian.org>  Wed,  5 Jan 2000 15:17:53 -0500

gri (2.2.4-2) unstable; urgency=low

  * Upstream source tar file changed without new version number to fix
    small buglet in HTML docs.
  * Fixed bug in description of gri-ps-doc package

 -- Peter S Galbraith <psg@debian.org>  Sat,  6 Nov 1999 21:25:57 -0500

gri (2.2.4-1) unstable; urgency=low

  * New upstream release.
     Includes support for iso-latin characters
  * Split package into gri, gri-ps-doc and gri-html-doc
  * Update to policy 3.0.0 (FHS issue of /usr/share/doc, etc)

 -- Peter S Galbraith <psg@debian.org>  Wed, 20 Oct 1999 14:39:19 -0400

gri (2.2.1-2) unstable; urgency=low

  * i386 package recompiled against g++ version 2.91.66-0slink2
	
 -- Peter S Galbraith <psg@debian.org>  Mon, 05 May 1999 12:05:00 -0500

gri (2.2.1-1) unstable; urgency=low

  * Edited upstream configure script to enable netCDF compilation
  * Small upstream tweak to doc/Makefile
  * new license: GPL!
	
 -- Peter S Galbraith <psg@debian.org>  Mon, 29 Jan 1999 14:23:00 -0500

gri (2.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 22 Jan 1999 18:45:05 -0500


